Bug 842309 - quagga daemon pidfiles remain after daemons are stopped
quagga daemon pidfiles remain after daemons are stopped
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: quagga (Show other bugs)
7.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Michal Sekletar
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 08:36 EDT by Alex Sersen
Modified: 2014-06-18 00:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 508800
: 1025798 (view as bug list)
Environment:
Last Closed: 2014-05-27 10:23:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Michal Sekletar 2013-07-31 09:09:39 EDT
There are two possible approaches here, either I could patch all daemons in quagga not to use pidfiles at all. systemd will always know the main pid of the service. Although there might be scripts out there using those pidfile from whatever reasons. Second approach would be, adding ExecStopPost= action to unit files where we could call rm command on pidfile.

I would say that second option is easier to implement and more sensible choice considering backward compatibility.
Comment 4 Michal Sekletar 2013-11-01 11:04:46 EDT
systemd now removes pidfiles automatically when they are referenced in a service file. I will add PIDFile= option to all quagga service files.

Note You need to log in before you can comment on or make changes to this bug.